<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fuyuanshen.equipment.mapper.DeviceTypeGrantsMapper">

    <resultMap id="BaseResultMap" type="com.fuyuanshen.equipment.domain.DeviceTypeGrants">
            <id property="id" column="id" />
            <result property="deviceTypeId" column="device_type_id" />
            <result property="customerId" column="customer_id" />
            <result property="grantorCustomerId" column="grantor_customer_id" />
            <result property="grantedAt" column="granted_at" />
            <result property="assignmentId" column="assignment_id" />
    </resultMap>

    <sql id="Base_Column_List">
        id,device_type_id,customer_id,grantor_customer_id,granted_at,assignment_id
    </sql>
</mapper>
